/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'orgdeptuserid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'orgdeptusername',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'orgusername',
        prop: 'orgusername',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'orgname',
        prop: 'orgname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'orgdeptname',
        prop: 'orgdeptname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'orgdeptusername',
        prop: 'orgdeptusername',
        dataType: 'TEXT',
      },
      {
        name: 'orgid',
        prop: 'orgid',
        dataType: 'PICKUP',
      },
      {
        name: 'orgdeptid',
        prop: 'orgdeptid',
        dataType: 'PICKUP',
      },
      {
        name: 'orguserid',
        prop: 'orguserid',
        dataType: 'PICKUP',
      },
      {
        name: 'orgdeptuserid',
        prop: 'orgdeptuserid',
        dataType: 'GUID',
      },
      {
        name: 'orgdeptuser',
        prop: 'orgdeptuserid',
        dataType: 'FONTKEY',
      },
    ]
  }

}